Package org.optaplanner.core.impl.heuristic.thread

## Class OrderByMoveIndexBlockingQueue.MoveResult<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.thread.OrderByMoveIndexBlockingQueue.MoveResult<Solution_>

- Enclosing class:
    OrderByMoveIndexBlockingQueue<Solution_>

      public static class OrderByMoveIndexBlockingQueue.MoveResult<Solution_>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MoveResult​(int moveThreadIndex, int stepIndex, int moveIndex, Move<Solution_> move, boolean moveDoable, Score score)` |
    `MoveResult​(int moveThreadIndex, Throwable throwable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Move<Solution_>` | `getMove()` |
    `int` | `getMoveIndex()` |
    `int` | `getMoveThreadIndex()` |
    `Score` | `getScore()` |
    `int` | `getStepIndex()` |
    `boolean` | `isMoveDoable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoveResult

          public MoveResult​(int moveThreadIndex,
                            int stepIndex,
                            int moveIndex,
                            Move<Solution_> move,
                            boolean moveDoable,
                            Score score)

    - #### MoveResult

          public MoveResult​(int moveThreadIndex,
                            Throwable throwable)

  - ### Method Detail

    - #### getMoveThreadIndex

          public int getMoveThreadIndex()

    - #### getStepIndex

          public int getStepIndex()

    - #### getMoveIndex

          public int getMoveIndex()

    - #### getMove

          public Move<Solution_> getMove()

    - #### isMoveDoable

          public boolean isMoveDoable()

    - #### getScore

          public Score getScore()